1. Tides
Beach Day API
  • Beach Day API
    • Health
      • Health check
    • Beaches
      • List beaches
      • Get beach detail
      • Get scored beaches
      • Get beach rules
      • Get beach amenities
    • Conditions
      • List beach conditions
    • Tides
      • Get tide predictions
        GET
    • Countries
      • List available countries
    • Schemas
      • HealthResponse
      • ErrorResponse
      • BeachListItem
      • BeachListResponse
      • JsonBlob
      • BeachRule
      • BeachAmenity
      • BeachDetail
      • BeachConditionsItem
      • BeachConditionsResponse
      • BeachRulesResponse
      • BeachAmenitiesResponse
      • TidePrediction
      • TideResponse
      • CountryListResponse
      • CountryItem
  1. Tides

Get tide predictions

GET
/tides/{beach_id}/
Returns up to 7 days of tide predictions sourced from stored condition records.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

🟢200
application/json
Tide predictions.
Bodyapplication/json

🟠401
🟠402
🟠404
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://beachdayapi.com/v1/tides//' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "beach_id": 1,
    "tide_predictions": [
        {
            "date": "2026-06-24",
            "tides": [
                {
                    "time": "2026-06-24T06:14:00-07:00",
                    "type": "high",
                    "height_ft": 5.1
                },
                {
                    "time": "2026-06-24T12:41:00-07:00",
                    "type": "low",
                    "height_ft": 0.8
                },
                {
                    "time": "2026-06-24T18:57:00-07:00",
                    "type": "high",
                    "height_ft": 4.7
                }
            ]
        }
    ]
}
Modified at 2026-07-14 21:45:45
Previous
List beach conditions
Next
List available countries
Built with